Subject: Re: linux-next: build failure after merge of the drm tree

From: Hamza Mahfooz <[email-masked]>
Date: Wed, 5 Oct 2022 12:45:31 -0400

On 2022-10-05 11:30, Alex Deucher wrote:
> @Mahfooz, Hamza
> @Aurabindo Pillai can you get this fixed up?
> 

Seems like this is a false positive for GCC versions pre-12, because I'm 
not seeing this warning on GCC 12.2.
However, we can fix this for older GCC versions with the following:

diff --git a/drivers/gpu/drm/amd/display/dc/dc_stream.h 
b/drivers/gpu/drm/amd/display/dc/dc_stream.h
index 9e6025c98db9..67fede4bf248 100644
--- a/drivers/gpu/drm/amd/display/dc/dc_stream.h
+++ b/drivers/gpu/drm/amd/display/dc/dc_stream.h
@@ -238,7 +238,7 @@ struct dc_stream_state {

  	/* writeback */
  	unsigned int num_wb_info;
-	struct dc_writeback_info writeback_info[MAX_DWB_PIPES];
+	struct dc_writeback_info writeback_info[MAX_DWB_PIPES + 1];
  	const struct dc_transfer_func *func_shaper;
  	const struct dc_3dlut *lut3d_func;
  	/* Computed state bits */

> Thanks,
> 
> Alex
> 
> On Tue, Oct 4, 2022 at 7:39 AM Mark Brown <[email-masked]> wrote:
>>
>> On Tue, Oct 04, 2022 at 02:05:58PM +1100, Stephen Rothwell wrote:
>>> On Tue, 4 Oct 2022 12:24:37 +1000 David Airlie <[email-masked]> wrote:
>>>> On Tue, Oct 4, 2022 at 12:21 PM Stephen Rothwell <[email-masked]> wrote:
>>
>>>> I'm not seeing it here, what gcc is this with?
>>
>>> I am using an x86_64 cross compiler hosted on ppc64le - gcc v11.2.0 (on
>>> Debian).
>>
>> I was seeing this with an x86_64 cross compiler hosted on arm64 -
>> Ubuntu 11.2.0-17ubuntu1 from the looks of it.

-- 
Hamza